libkolab-dev_0.5.3-1_amd64.deb


Advertisement

Description

libkolab-dev - Development package for Kolab library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libkolab-dev
Package version 0.5.3
Package release 1
Package architecture amd64
Package type deb
Installed size 85 B
Download size 12.76 KB
Official Mirror ftp.br.debian.org
libkolab provides conversions from/to KDE containers, mime message
handling and facilities to read and write kolabv2 and kolabv3.
This package contains the development files for the library,
including headers and Libkolab cmake files.

Alternatives

Package Version Architecture Repository
libkolab-dev_0.5.3-1_i386.deb 0.5.3 i386 Debian Main
libkolab-dev - - -

Requires

Name Value
kdepimlibs5-dev -
libkolab0 = 0.5.3-1
libkolabxml-dev -
libqt4-dev -

Download

Type URL
Binary Package libkolab-dev_0.5.3-1_amd64.deb
Source Package libkolab

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkolab-dev deb package:
    # sudo apt-get install libkolab-dev

Files

Path
/usr/include/kolab/commonconversion.h
/usr/include/kolab/errorhandler.h
/usr/include/kolab/formathelpers.h
/usr/include/kolab/freebusy.h
/usr/include/kolab/kabcconversion.h
/usr/include/kolab/kcalconversion.h
/usr/include/kolab/kolab_export.h
/usr/include/kolab/kolabdefinitions.h
/usr/include/kolab/kolabobject.h
/usr/include/kolab/mimeobject.h
/usr/include/kolab/xmlobject.h
/usr/lib/libkolab.so
/usr/lib/cmake/Libkolab/LibkolabConfig.cmake
/usr/lib/cmake/Libkolab/LibkolabConfigVersion.cmake
/usr/lib/cmake/Libkolab/LibkolabTargets-none.cmake
/usr/lib/cmake/Libkolab/LibkolabTargets.cmake
/usr/share/doc/libkolab-dev/changelog.Debian.gz
/usr/share/doc/libkolab-dev/copyright

Changelog

2014-09-05 - Maximiliano Curia <maxy@debian.org>
libkolab (0.5.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Special thanks to Sven Eckelmann for the patch that fixed #732213.
* Update build dependencies.
2014-08-25 - Maximiliano Curia <maxy@debian.org>
libkolab (0.5.2-2) unstable; urgency=medium
* Team upload.
* New patch: 0001-Allow-KDateTime-with-only-valid-date.patch (Closes:
#732213) Thanks to Franz Schrober.
2014-06-28 - Diane Trout <diane@ghic.org>
libkolab (0.5.2-1) unstable; urgency=medium
* Add libkolab0.symbols and supporting pkgkde-symbolshelper
components
* Force specific python library version, CMake will default to python3
even though these build scripts assume python2.
* Add make_python_package.patch to force python kolab to be a package.
* Imported version 0.5.2
This release is based on the unreleased 0.5.0 work by Paul Klos.
* Add myself to uploaders.
* Update vcs-git to canonical URL.
* Update cmake PHP variable names in override_dh_auto_configure.
* Update Standards-Version to 3.9.5. No changes needed.
2014-06-01 - Ondřej Surý <ondrej@debian.org>
libkolab (0.4.2-7.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix double definition of struct QMetaTypeId<KCalCore::Duration>
(Closes: #747808)
2014-04-27 - Evgeni Golov <evgeni.golov@credativ.de>
libkolab (0.4.2-7.1) unstable; urgency=medium
* Non-maintainer upload.
* Build explicitely against Python 2.7, even if 3.x is installed.
Closes: #745598
2013-08-28 - Paul Klos <kolab@klos2day.nl>
libkolab (0.4.2-7) unstable; urgency=low
* Fix saving of pictures to kabc resources (Closes: #721099)
Upstream commit
http://git.kolab.org/libkolab/
commit/?id=fa19b0d21f3e064adbdff907f06cd15b2cb81d16
2013-08-12 - Paul Klos <kolab@klos2day.nl>
libkolab (0.4.2-6) unstable; urgency=low
* Disable rpath
* Don't set LIB_INSTALL_DIR, it messes up the generated cmake module
* Use generated Python dependencies for python-kolab
* Add copyright section for generated cmake files
* Remove unneccessary export
* Install kolab.ini from debian/ dir
* Simpler SWIG test
* Update standards version
* Remove unused-override hardening-no-fortify-functions
* Exclude kdepim-runtime from shdeps
* Streamline php-kolab install
* Fix dependencies for libkolab-dev
* Update changelog
2013-05-24 - Paul Klos <kolab@klos2day.nl>
libkolab (0.4.2-5) unstable; urgency=low
* Upload to Debian
2013-05-13 - Paul Klos <kolab@klos2day.nl>
libkolab (0.4.2-4) unstable; urgency=low
* Remove leftovers from dual build
* Create shlibs from rules (not static file)
* Remove obsolete conflicts
* Add separate copyright for debian/*
* Update changelog
2013-04-23 - Paul Klos <kolab@klos2day.nl>
libkolab (0.4.2-3) unstable; urgency=low
* Revert to single build, depend only on kdepimlibs.
* Update changelog

See Also

Package Description
libkolab0_0.5.3-1_amd64.deb Maps KDE containers to Kolab formats
libkolabxml-dev_1.0.2-2_amd64.deb Development files for libkolabxml
libkolabxml1_1.0.2-2_amd64.deb Kolab XML format (shared library)
libkomparediff2-4_4.14.2-1_amd64.deb library to compare files and strings
libkomparediff2-dev_4.14.2-1_amd64.deb library to compare files and strings - development files
libkonq-common_4.14.2-1_amd64.deb core Konqueror library - support files
libkonq5-dev_4.14.2-1_amd64.deb development files for the Konqueror libraries
libkonq5-templates_4.14.2-1_all.deb data files for the Konqueror libraries
libkonq5abi1_4.14.2-1_amd64.deb core libraries for Konqueror
libkonqsidebarplugin-dev_4.14.2-1_amd64.deb konqueror sidebar plugin library development files
libkonqsidebarplugin4a_4.14.2-1_amd64.deb konqueror sidebar plugin library
libkontactinterface4a_4.14.2-2+deb8u2_amd64.deb Kontact interface library
libkopenafs1_1.6.9-2+deb8u5_amd64.deb AFS distributed file system runtime library (PAGs)
libkopete-dev_4.14.1-2_amd64.deb development files for the Kopete instant messaging and chat application
libkopete4_4.14.1-2_amd64.deb main Kopete library
Advertisement
Advertisement